Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkRenderWindowInteractor Class Reference

`#include <vtkRenderWindowInteractor.h>`

Inheritance diagram for vtkRenderWindowInteractor:

[legend]
Collaboration diagram for vtkRenderWindowInteractor:

[legend]
List of all members.

## Detailed Description

platform-independent render window interaction including picking and frame rate control.

Date:
  2003/01/06 20:36:14

Revision:
  1.100

vtkRenderWindowInteractor provides a platform-independent interaction mechanism for mouse/key/time events. It serves as a base class for platform-dependent implementations that handle routing of mouse/key/timer messages to vtkInterActorStyle and its subclasses. vtkRenderWindowInteractor also provides controls for picking, rendering frame rate, and headlights.

vtkRenderWindowInteractor has changed from previous implementations and now serves only as a shell to hold user preferences and route messages to vtkInteractorStyle. Callbacks are available for many Events. Platform specific subclasses should provide methods for CreateTimer/DestroyTimer, TerminateApp, and an event loop if required via Initialize/Start/Enable/Disable.

Events:
  vtkCommand::UserEvent vtkCommand::ExitEvent vtkCommand::EndPickEvent vtkCommand::StartPickEvent

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (34%)
  - Pan, Tony (25%)
  - Geveci, Berk (10%)
  - Law, Charles (9%)
  - Schroeder, Will (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkRenderWindowInteractor.cxx)`
  - .`h` (`/Rendering/vtkRenderWindowInteractor.h)`

Examples:
  vtkRenderWindowInteractor (Examples)

Tests:
  vtkRenderWindowInteractor (Tests)

Definition at line 77 of file vtkRenderWindowInteractor.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | UnRegister (vtkObjectBase *o)
virtual void | Start ()
virtual void | UpdateSize (int x, int y)
virtual void | TerminateApp (void)
virtual vtkAbstractPropPicker * | CreateDefaultPicker ()
virtual void | GetMousePosition (int *x, int *y)
virtual void | Render ()
vtkRenderer * | FindPokedRenderer (int, int)
virtual void | Initialize ()
void | ReInitialize ()
virtual void | Enable ()
virtual void | Disable ()
virtual int | GetEnabled ()
void | SetRenderWindow (vtkRenderWindow *aren)
virtual vtkRenderWindow * | GetRenderWindow ()
virtual int | CreateTimer (int)
virtual int | DestroyTimer ()
virtual void | SetInteractorStyle (vtkInteractorObserver *)
virtual vtkInteractorObserver * | GetInteractorStyle ()
virtual void | SetLightFollowCamera (int)
virtual int | GetLightFollowCamera ()
virtual void | LightFollowCameraOn ()
virtual void | LightFollowCameraOff ()
virtual void | SetDesiredUpdateRate (float)
virtual float | GetDesiredUpdateRate ()
virtual void | SetStillUpdateRate (float)
virtual float | GetStillUpdateRate ()
virtual int | GetInitialized ()
virtual void | SetPicker (vtkAbstractPicker *)
virtual vtkAbstractPicker * | GetPicker ()
void | SetStartPickMethod (void(*f)(void *), void *arg)
void | SetStartPickMethodArgDelete (void(*f)(void *))
void | SetEndPickMethod (void(*f)(void *), void *arg)
void | SetEndPickMethodArgDelete (void(*f)(void *))
void | SetUserMethod (void(*f)(void *), void *arg)
void | SetUserMethodArgDelete (void(*f)(void *))
void | SetExitMethod (void(*f)(void *), void *arg)
void | SetExitMethodArgDelete (void(*f)(void *))
virtual void | ExitCallback ()
virtual void | UserCallback ()
virtual void | StartPickCallback ()
virtual void | EndPickCallback ()
void | HideCursor ()
void | ShowCursor ()
void | FlyTo (vtkRenderer *ren, float x, float y, float z)
void | FlyTo (vtkRenderer *ren, float *x)
void | FlyToImage (vtkRenderer *ren, float x, float y)
void | FlyToImage (vtkRenderer *ren, float *x)
virtual void | SetNumberOfFlyFrames (int)
virtual int | GetNumberOfFlyFrames ()
virtual void | SetDolly (float)
virtual float | GetDolly ()
virtual int * | GetEventPosition ()
virtual void | GetEventPosition (int &, int &)
virtual void | GetEventPosition (int[2])
virtual int * | GetLastEventPosition ()
virtual void | GetLastEventPosition (int &, int &)
virtual void | GetLastEventPosition (int[2])
virtual void | SetEventPosition (int x, int y)
virtual void | SetEventPosition (int pos[2])
virtual void | SetEventPositionFlipY (int x, int y)
virtual void | SetEventPositionFlipY (int pos[2])
virtual void | SetControlKey (int)
virtual int | GetControlKey ()
virtual void | SetShiftKey (int)
virtual int | GetShiftKey ()
virtual void | SetKeyCode (char)
virtual char | GetKeyCode ()
virtual void | SetRepeatCount (int)
virtual int | GetRepeatCount ()
virtual void | SetKeySym (const char *)
virtual char * | GetKeySym ()
void | SetEventInformation (int x, int y, int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=0)
void | SetEventInformationFlipY (int x, int y, int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=0)
void | SetKeyEventInformation (int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=0)
virtual void | SetSize (int, int)
void | SetSize (int[2])
virtual int * | GetSize ()
virtual void | GetSize (int &, int &)
virtual void | GetSize (int[2])
virtual void | SetEventSize (int, int)
void | SetEventSize (int[2])
virtual int * | GetEventSize ()
virtual void | GetEventSize (int &, int &)
virtual void | GetEventSize (int[2])
## Static Public Methods
vtkRenderWindowInteractor * | New ()
int | IsTypeOf (const char *type)
vtkRenderWindowInteractor * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkRenderWindowInteractor ()
| ~vtkRenderWindowInteractor ()
## Protected Attributes
vtkRenderWindow * | RenderWindow
vtkInteractorObserver * | InteractorStyle
vtkAbstractPicker * | Picker
int | Initialized
int | Enabled
int | Style
int | LightFollowCamera
int | ActorMode
float | DesiredUpdateRate
float | StillUpdateRate
int | ControlKey
int | ShiftKey
char | KeyCode
int | RepeatCount
char * | KeySym
int | EventPosition [2]
int | LastEventPosition [2]
int | EventSize [2]
int | Size [2]
unsigned long | StartPickTag
unsigned long | EndPickTag
unsigned long | UserTag
unsigned long | ExitTag
int | NumberOfFlyFrames
float | Dolly

## Member Typedef Documentation

typedef vtkObject vtkRenderWindowInteractor::Superclass

| Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 81 of file vtkRenderWindowInteractor.h.

## Constructor & Destructor Documentation

vtkRenderWindowInteractor::vtkRenderWindowInteractor | ( |  | ) | `[protected]`

vtkRenderWindowInteractor::~vtkRenderWindowInteractor | ( |  | ) | `[protected]`

## Member Function Documentation

vtkRenderWindowInteractor* vtkRenderWindowInteractor::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

virtual const char* vtkRenderWindowInteractor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

int vtkRenderWindowInteractor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

virtual int vtkRenderWindowInteractor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

vtkRenderWindowInteractor* vtkRenderWindowInteractor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

void vtkRenderWindowInteractor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

virtual void vtkRenderWindowInteractor::Initialize | ( |  | ) | `[virtual]`

| Prepare for handling events. This must be called before the interactor will work. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor.

void vtkRenderWindowInteractor::ReInitialize | ( |  | ) | `[inline]`

| Prepare for handling events. This must be called before the interactor will work. Definition at line 88 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::UnRegister | ( | vtkObjectBase * | o | ) | `[virtual]`

| This Method detects loops of RenderWindow-Interactor, so objects are freed properly. Reimplemented from vtkObject.

virtual void vtkRenderWindowInteractor::Start | ( | void |  | ) | `[inline, virtual]`

| Start the event loop. This is provided so that you do not have to implement your own event loop. You still can use your own event loop if you want. Initialize should be called before Start. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 99 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::Enable | ( |  | ) | `[inline, virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 109 of file vtkRenderWindowInteractor.h. References vtkObject::Modified().

virtual void vtkRenderWindowInteractor::Disable | ( |  | ) | `[inline, virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 110 of file vtkRenderWindowInteractor.h. References vtkObject::Modified().

virtual int vtkRenderWindowInteractor::GetEnabled | ( |  | ) | `[virtual]`

| Enable/Disable interactions. By default interactors are enabled when initialized. Initialize() must be called prior to enabling/disabling interaction. These methods are used when a window/widget is being shared by multiple renderers and interactors. This allows a "modal" display where one interactor is active when its data is to be displayed and all other interactors associated with the widget are disabled when their data is not displayed.

void vtkRenderWindowInteractor::SetRenderWindow | ( | vtkRenderWindow * | aren | ) |

| Set/Get the rendering window being controlled by this object.

virtual vtkRenderWindow* vtkRenderWindowInteractor::GetRenderWindow | ( |  | ) | `[virtual]`

| Set/Get the rendering window being controlled by this object.

virtual void vtkRenderWindowInteractor::UpdateSize | ( | int | x,
|  | int | y
| ) | `[virtual]`

| Event loop notification member for Window size change Reimplemented in vtkXRenderWindowTclInteractor.

virtual int vtkRenderWindowInteractor::CreateTimer | ( | int |  | ) | `[inline, virtual]`

| Timer methods must be overridden by platform dependent subclasses. flag is passed to indicate if this is first timer set or an update as Win32 uses repeating timers, whereas X uses One shot more timer if flag==VTKXI_TIMER_FIRST Win32 and X should createtimer otherwise Win32 should exit and X should perform AddTimeOut() Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 129 of file vtkRenderWindowInteractor.h.

virtual int vtkRenderWindowInteractor::DestroyTimer | ( | void |  | ) | `[inline, virtual]`

| Timer methods must be overridden by platform dependent subclasses. flag is passed to indicate if this is first timer set or an update as Win32 uses repeating timers, whereas X uses One shot more timer if flag==VTKXI_TIMER_FIRST Win32 and X should createtimer otherwise Win32 should exit and X should perform AddTimeOut() Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkGenericRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 130 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::TerminateApp | ( | void |  | ) | `[inline, virtual]`

| This function is called on 'q','e' keypress if exitmethod is not specified and should be overridden by platform dependent subclasses to provide a termination procedure if one is required. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, vtkWin32RenderWindowInteractor, vtkXRenderWindowInteractor, and vtkXRenderWindowTclInteractor. Definition at line 136 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::SetInteractorStyle | ( | vtkInteractorObserver * |  | ) | `[virtual]`

| External switching between joystick/trackball/new? modes.

virtual vtkInteractorObserver* vtkRenderWindowInteractor::GetInteractorStyle | ( |  | ) | `[virtual]`

| External switching between joystick/trackball/new? modes.

virtual void vtkRenderWindowInteractor::SetLightFollowCamera | ( | int |  | ) | `[virtual]`

| Turn on/off the automatic repositioning of lights as the camera moves.

virtual int vtkRenderWindowInteractor::GetLightFollowCamera | ( |  | ) | `[virtual]`

| Turn on/off the automatic repositioning of lights as the camera moves.

virtual void vtkRenderWindowInteractor::LightFollowCameraOn | ( |  | ) | `[virtual]`

| Turn on/off the automatic repositioning of lights as the camera moves.

virtual void vtkRenderWindowInteractor::LightFollowCameraOff | ( |  | ) | `[virtual]`

| Turn on/off the automatic repositioning of lights as the camera moves.

virtual void vtkRenderWindowInteractor::SetDesiredUpdateRate | ( | float |  | ) | `[virtual]`

| Set/Get the desired update rate. This is used by vtkLODActor's to tell them how quickly they need to render. This update is in effect only when the camera is being rotated, or zoomed. When the interactor is still, the StillUpdateRate is used instead.

virtual float vtkRenderWindowInteractor::GetDesiredUpdateRate | ( |  | ) | `[virtual]`

| Set/Get the desired update rate. This is used by vtkLODActor's to tell them how quickly they need to render. This update is in effect only when the camera is being rotated, or zoomed. When the interactor is still, the StillUpdateRate is used instead.

virtual void vtkRenderWindowInteractor::SetStillUpdateRate | ( | float |  | ) | `[virtual]`

| Set/Get the desired update rate when movement has stopped. See the SetDesiredUpdateRate method.

virtual float vtkRenderWindowInteractor::GetStillUpdateRate | ( |  | ) | `[virtual]`

| Set/Get the desired update rate when movement has stopped. See the SetDesiredUpdateRate method.

virtual int vtkRenderWindowInteractor::GetInitialized | ( |  | ) | `[virtual]`

| See whether interactor has been initialized yet.

virtual void vtkRenderWindowInteractor::SetPicker | ( | vtkAbstractPicker * |  | ) | `[virtual]`

| Set/Get the object used to perform pick operations. In order to pick instances of vtkProp, the picker must be a subclass of vtkAbstractPropPicker, meaning that it can identify a particular instance of vtkProp.

virtual vtkAbstractPicker* vtkRenderWindowInteractor::GetPicker | ( |  | ) | `[virtual]`

| Set/Get the object used to perform pick operations. In order to pick instances of vtkProp, the picker must be a subclass of vtkAbstractPropPicker, meaning that it can identify a particular instance of vtkProp.

virtual vtkAbstractPropPicker* vtkRenderWindowInteractor::CreateDefaultPicker | ( |  | ) | `[virtual]`

| Create default picker. Used to create one when none is specified. Default is an instance of vtkPropPicker.

void vtkRenderWindowInteractor::SetStartPickMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetStartPickMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetEndPickMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetEndPickMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetUserMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetUserMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetExitMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| For legacy compatibility. Do not use.

void vtkRenderWindowInteractor::SetExitMethodArgDelete | ( | void(* | f)(void *) | ) |

| For legacy compatibility. Do not use.

virtual void vtkRenderWindowInteractor::ExitCallback | ( |  | ) | `[virtual]`

| These methods correspond to the the Exit, User and Pick callbacks. They allow for the Style to invoke them. Reimplemented in vtkCarbonRenderWindowInteractor, vtkCocoaRenderWindowInteractor, and vtkWin32RenderWindowInteractor.

virtual void vtkRenderWindowInteractor::UserCallback | ( |  | ) | `[virtual]`

| These methods correspond to the the Exit, User and Pick callbacks. They allow for the Style to invoke them.

virtual void vtkRenderWindowInteractor::StartPickCallback | ( |  | ) | `[virtual]`

| These methods correspond to the the Exit, User and Pick callbacks. They allow for the Style to invoke them.

virtual void vtkRenderWindowInteractor::EndPickCallback | ( |  | ) | `[virtual]`

| These methods correspond to the the Exit, User and Pick callbacks. They allow for the Style to invoke them.

virtual void vtkRenderWindowInteractor::GetMousePosition | ( | int * | x,
|  | int * | y
| ) | `[inline, virtual]`

| Get the current position of the mouse. Reimplemented in vtkXRenderWindowInteractor. Definition at line 210 of file vtkRenderWindowInteractor.h.

void vtkRenderWindowInteractor::HideCursor | ( |  | ) |

| Hide or show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead.

void vtkRenderWindowInteractor::ShowCursor | ( |  | ) |

| Hide or show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead.

virtual void vtkRenderWindowInteractor::Render | ( |  | ) | `[virtual]`

| Render the scene. Just pass the render call on to the associated vtkRenderWindow.

void vtkRenderWindowInteractor::FlyTo | ( | vtkRenderer * | ren,
|  | float | x,
|  | float | y,
|  | float | z
| ) |

| Given a position x, move the current camera's focal point to x. The movement is animated over the number of frames specified in NumberOfFlyFrames. The LOD desired frame rate is used.

void vtkRenderWindowInteractor::FlyTo | ( | vtkRenderer * | ren,
|  | float * | x
| ) | `[inline]`

| Given a position x, move the current camera's focal point to x. The movement is animated over the number of frames specified in NumberOfFlyFrames. The LOD desired frame rate is used. Definition at line 228 of file vtkRenderWindowInteractor.h.

void vtkRenderWindowInteractor::FlyToImage | ( | vtkRenderer * | ren,
|  | float | x,
|  | float | y
| ) |

| Given a position x, move the current camera's focal point to x. The movement is animated over the number of frames specified in NumberOfFlyFrames. The LOD desired frame rate is used.

void vtkRenderWindowInteractor::FlyToImage | ( | vtkRenderer * | ren,
|  | float * | x
| ) | `[inline]`

| Given a position x, move the current camera's focal point to x. The movement is animated over the number of frames specified in NumberOfFlyFrames. The LOD desired frame rate is used. Definition at line 231 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::SetNumberOfFlyFrames | ( | int |  | ) | `[virtual]`

| Set the number of frames to fly to when FlyTo is invoked.

virtual int vtkRenderWindowInteractor::GetNumberOfFlyFrames | ( |  | ) | `[virtual]`

| Set the number of frames to fly to when FlyTo is invoked.

virtual void vtkRenderWindowInteractor::SetDolly | ( | float |  | ) | `[virtual]`

| Set the total Dolly value to use when flying to (FlyTo()) a specified point. Negative values fly away from the point.

virtual float vtkRenderWindowInteractor::GetDolly | ( |  | ) | `[virtual]`

| Set the total Dolly value to use when flying to (FlyTo()) a specified point. Negative values fly away from the point.

virtual int* vtkRenderWindowInteractor::GetEventPosition | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::GetEventPosition | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::GetEventPosition | ( | int | [2] | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual int* vtkRenderWindowInteractor::GetLastEventPosition | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::GetLastEventPosition | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::GetLastEventPosition | ( | int | [2] | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::SetEventPosition | ( | int | x,
|  | int | y
| ) | `[inline, virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input. Definition at line 256 of file vtkRenderWindowInteractor.h. References vtkObject::Modified().

virtual void vtkRenderWindowInteractor::SetEventPosition | ( | int | pos[2] | ) | `[inline, virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input. Definition at line 269 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::SetEventPositionFlipY | ( | int | x,
|  | int | y
| ) | `[inline, virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input. Definition at line 273 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::SetEventPositionFlipY | ( | int | pos[2] | ) | `[inline, virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input. Definition at line 277 of file vtkRenderWindowInteractor.h.

virtual void vtkRenderWindowInteractor::SetControlKey | ( | int |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual int vtkRenderWindowInteractor::GetControlKey | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::SetShiftKey | ( | int |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual int vtkRenderWindowInteractor::GetShiftKey | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::SetKeyCode | ( | char |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual char vtkRenderWindowInteractor::GetKeyCode | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::SetRepeatCount | ( | int |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual int vtkRenderWindowInteractor::GetRepeatCount | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual void vtkRenderWindowInteractor::SetKeySym | ( | const char * |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

virtual char* vtkRenderWindowInteractor::GetKeySym | ( |  | ) | `[virtual]`

| Set/Get information about the current event. The current x,y position is in the EventPosition, and the previous event position is in LastEventPosition, updated automatically each time EventPosition is set using its Set() method. The other information is about key board input.

void vtkRenderWindowInteractor::SetEventInformation | ( | int | x,
|  | int | y,
|  | int | ctrl = 0,
|  | int | shift = 0,
|  | char | keycode = 0,
|  | int | repeatcount = 0,
|  | const char * | keysym = 0
| ) | `[inline]`

| Set all the event information in one call. Definition at line 295 of file vtkRenderWindowInteractor.h. References vtkObject::Modified().

void vtkRenderWindowInteractor::SetEventInformationFlipY | ( | int | x,
|  | int | y,
|  | int | ctrl = 0,
|  | int | shift = 0,
|  | char | keycode = 0,
|  | int | repeatcount = 0,
|  | const char * | keysym = 0
| ) | `[inline]`

| Calls SetEventInformation, but flips the Y based on the current Size[1] value (i.e. y = this->Size[1] - y - 1). Definition at line 322 of file vtkRenderWindowInteractor.h.

void vtkRenderWindowInteractor::SetKeyEventInformation | ( | int | ctrl = 0,
|  | int | shift = 0,
|  | char | keycode = 0,
|  | int | repeatcount = 0,
|  | const char * | keysym = 0
| ) | `[inline]`

| Set all the keyboard-related event information in one call. Definition at line 342 of file vtkRenderWindowInteractor.h. References vtkObject::Modified().

virtual void vtkRenderWindowInteractor::SetSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

void vtkRenderWindowInteractor::SetSize | ( | int | [2] | ) |

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual int* vtkRenderWindowInteractor::GetSize | ( |  | ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual void vtkRenderWindowInteractor::GetSize | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual void vtkRenderWindowInteractor::GetSize | ( | int | [2] | ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual void vtkRenderWindowInteractor::SetEventSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

void vtkRenderWindowInteractor::SetEventSize | ( | int | [2] | ) |

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual int* vtkRenderWindowInteractor::GetEventSize | ( |  | ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual void vtkRenderWindowInteractor::GetEventSize | ( | int & | ,
|  | int & |
| ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

virtual void vtkRenderWindowInteractor::GetEventSize | ( | int | [2] | ) | `[virtual]`

| This methods sets the Size ivar of the interactor without actually changing the size of the window. Normally application programmers would use UpdateSize if anything. This is useful for letting someone else change the size of the rendering window and just letting the interactor know about the change. The current event width/height (if any) is in EventSize (Expose event, for example).

vtkRenderer* vtkRenderWindowInteractor::FindPokedRenderer | ( | int | ,
|  | int |
| ) |

| When an event occurs, we must determine which Renderer the event occurred within, since one RenderWindow may contain multiple renderers.

## Member Data Documentation

vtkRenderWindow* vtkRenderWindowInteractor::RenderWindow`[protected]`

| Definition at line 382 of file vtkRenderWindowInteractor.h.

vtkInteractorObserver* vtkRenderWindowInteractor::InteractorStyle`[protected]`

| Definition at line 383 of file vtkRenderWindowInteractor.h.

vtkAbstractPicker* vtkRenderWindowInteractor::Picker`[protected]`

| Definition at line 386 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::Initialized`[protected]`

| Definition at line 388 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::Enabled`[protected]`

| Definition at line 389 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::Style`[protected]`

| Definition at line 390 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::LightFollowCamera`[protected]`

| Definition at line 391 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::ActorMode`[protected]`

| Definition at line 392 of file vtkRenderWindowInteractor.h.

float vtkRenderWindowInteractor::DesiredUpdateRate`[protected]`

| Definition at line 393 of file vtkRenderWindowInteractor.h.

float vtkRenderWindowInteractor::StillUpdateRate`[protected]`

| Definition at line 394 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::ControlKey`[protected]`

| Definition at line 397 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::ShiftKey`[protected]`

| Definition at line 398 of file vtkRenderWindowInteractor.h.

char vtkRenderWindowInteractor::KeyCode`[protected]`

| Definition at line 399 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::RepeatCount`[protected]`

| Definition at line 400 of file vtkRenderWindowInteractor.h.

char* vtkRenderWindowInteractor::KeySym`[protected]`

| Definition at line 401 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::EventPosition[2]`[protected]`

| Definition at line 402 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::LastEventPosition[2]`[protected]`

| Definition at line 403 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::EventSize[2]`[protected]`

| Definition at line 404 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::Size[2]`[protected]`

| Definition at line 405 of file vtkRenderWindowInteractor.h.

unsigned long vtkRenderWindowInteractor::StartPickTag`[protected]`

| Definition at line 411 of file vtkRenderWindowInteractor.h.

unsigned long vtkRenderWindowInteractor::EndPickTag`[protected]`

| Definition at line 412 of file vtkRenderWindowInteractor.h.

unsigned long vtkRenderWindowInteractor::UserTag`[protected]`

| Definition at line 413 of file vtkRenderWindowInteractor.h.

unsigned long vtkRenderWindowInteractor::ExitTag`[protected]`

| Definition at line 414 of file vtkRenderWindowInteractor.h.

int vtkRenderWindowInteractor::NumberOfFlyFrames`[protected]`

| Definition at line 417 of file vtkRenderWindowInteractor.h.

float vtkRenderWindowInteractor::Dolly`[protected]`

| Definition at line 418 of file vtkRenderWindowInteractor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkRenderWindowInteractor.h